//---------------------------------------------------------------------------
#ifndef uEpromH
#define uEpromH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Grids.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Mask.hpp>
#include "cgauges.h"
#include <Dialogs.hpp>
#include <graphics.hpp>
#include <registry.hpp>
#include "TDLPortIO.h"
//---------------------------------------------------------------------------
class TfrmEprom : public TForm
{
__published:	// IDE-managed Components
    TMainMenu *MainMenu1;
    TMenuItem *mnuFile;
    TMenuItem *mnuLoad;
    TMenuItem *mnuSave;
    TMenuItem *N1;
    TMenuItem *mnuExit;
    TMenuItem *mnuAction;
    TMenuItem *mnuRead;
    TMenuItem *mnuProgram;
    TMenuItem *mnuCompare;
    TMenuItem *mnuEmpty;
    TMenuItem *Clear1;
    TMenuItem *Erase;
    TMenuItem *mnuHelp;
    TMenuItem *mnuTest;
    TMenuItem *N3;
    TMenuItem *About1;
    TPanel *Panel1;
    TLabel *Label1;
    TComboBox *cbPort;
    TLabel *Label2;
    TLabel *Label4;
    TMaskEdit *edOffset;
    TPanel *Panel2;
    TPanel *pPICSettings;
    TPanel *Panel4;
    TPanel *Panel6;
    TImageList *ilDip;
    TImage *dip12;
    TImage *dip11;
    TImage *dip10;
    TImage *dip9;
    TImage *dip8;
    TImage *dip7;
    TImage *dip6;
    TImage *dip5;
    TImage *dip4;
    TImage *dip3;
    TImage *dip2;
    TImage *dip1;
    TLabel *Label9;
    TLabel *Label10;
    TLabel *Label11;
    TPopupMenu *mnuDevice;
    TMenuItem *N24Cxx;
    TMenuItem *N27Cxx;
    TMenuItem *N28Cxx;
    TMenuItem *N29Fxx;
    TMenuItem *N28Fxx;
    TMenuItem *N16C1;
    TMenuItem *N16C841;
    TMenuItem *N16F841;
    TMenuItem *N12C50x1;
    TMenuItem *N16C6xx1;
    TMenuItem *N93Cxx1;
    TLabel *Label13;
    TPanel *edDevice;
    TMenuItem *N24C021;
    TMenuItem *N24C041;
    TMenuItem *N24C081;
    TMenuItem *N24C161;
    TMenuItem *N24C321;
    TMenuItem *N24C651;
    TMenuItem *N24C1281;
    TMenuItem *N24C2561;
    TMenuItem *N24C5121;
    TMenuItem *N27321;
    TMenuItem *N27C641;
    TMenuItem *N27C1281;
    TMenuItem *N27C2561;
    TMenuItem *N27C5121;
    TMenuItem *N27C0101;
    TMenuItem *N27C0201;
    TMenuItem *N27C0401;
    TMenuItem *N28C651;
    TMenuItem *N28C1281;
    TMenuItem *N28C2561;
    TMenuItem *N28C5121;
    TMenuItem *N28C0101;
    TMenuItem *N28C0201;
    TMenuItem *N28C0401;
    TMenuItem *N28F641;
    TMenuItem *N28F1281;
    TMenuItem *N28F2561;
    TMenuItem *N28F5121;
    TMenuItem *N28F0101;
    TMenuItem *N28F0201;
    TMenuItem *N28F0401;
    TMenuItem *N29F641;
    TMenuItem *N29F1281;
    TMenuItem *N29F2561;
    TMenuItem *N29F5121;
    TMenuItem *N29F0101;
    TMenuItem *N29F0201;
    TMenuItem *N29F0401;
    TMenuItem *N12C5081;
    TMenuItem *N12C5091;
    TMenuItem *N16C621;
    TMenuItem *N16C6211;
    TMenuItem *N16C6221;
    TMenuItem *N93C46A1;
    TMenuItem *N93C46B1;
    TMenuItem *N93C461;
    TMenuItem *N93C561;
    TMenuItem *N93C661;
    TEdit *edBuffer;
    TLabel *Label12;
    TEdit *edChecksum;
    TLabel *Label7;
    TStringGrid *HexGrid;
    TLabel *Label8;
    TLabel *lPIC2;
    TLabel *Label15;
    TLabel *Label16;
    TLabel *Label17;
    TComboBox *cbCodeProtect;
    TComboBox *cbPic2;
    TComboBox *cbOscillator;
    TComboBox *cbWatchDog;
    TPanel *pPosition;
    TStringGrid *ProgGrid;
    TOpenDialog *FileOpen;
    TSaveDialog *FileSave;
    TMenuItem *N27C10011;
    TImage *img32;
    TLabel *Label14;
    TImage *img28;
    TImage *img24;
    TDLPortIO *DLPortIO;
    TImage *imgFlip1;
    TImage *imgFlip2;
    TImage *img12c50;
    TLabel *Label18;
    TImage *img16x84;
    TImage *img24xx;
    TImage *img25xx;
    TImage *img93xx;
    TSplitter *HexSplitter;
    TPanel *p24CSettings;
    TLabel *Label23;
    TLabel *Label5;
    TImage *imgFlip3;
    TComboBox *cb24CPin7;
    TPanel *pF28Settings;
    TLabel *Label19;
    TImage *imgFlip4;
    TLabel *Label6;
    TComboBox *cbFastErase;
    TPanel *p27CSettings;
    TLabel *Label20;
    TImage *imgFlip5;
    TLabel *Label3;
    TComboBox *cbMethod;
    TPanel *Panel5;
    TPanel *StatusBar;
    TPanel *Panel8;
    TCGauge *gProcess;
    TButton *btnCancel;
    TLabel *Label21;
    TComboBox *cbCheckType;
    TLabel *Label22;
    TComboBox *cbSkipFF;
    void __fastcall Message(String Notice, int Level);
    void __fastcall SetBufferSize(int Size);
    void __fastcall SetProcessGauge(String Notice, int Max, TColor Colour);
    void __fastcall SetFuses(void);
    void __fastcall mnuTestClick(TObject *Sender);
    void __fastcall About1Click(TObject *Sender);
    void __fastcall cbPortChange(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall mnuExitClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall cbMethodChange(TObject *Sender);
    void __fastcall cb24CPin7Change(TObject *Sender);
    void __fastcall cbFastEraseChange(TObject *Sender);
    void __fastcall MaskEdit1MouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
    void __fastcall M24C_Click(TObject *Sender);
    void __fastcall M27C_Click(TObject *Sender);
    void __fastcall M28C_Click(TObject *Sender);
    void __fastcall M28F_Click(TObject *Sender);
    void __fastcall M29F_Click(TObject *Sender);
    void __fastcall M12C_Click(TObject *Sender);
    void __fastcall M16C_Click(TObject *Sender);
    void __fastcall M93C_Click(TObject *Sender);
    void __fastcall N16C841Click(TObject *Sender);
    void __fastcall N16F841Click(TObject *Sender);
    void __fastcall mnuEmptyClick(TObject *Sender);
    void __fastcall Clear1Click(TObject *Sender);
    void __fastcall HexGridDrawCell(TObject *Sender, int Col, int Row,
          TRect &Rect, TGridDrawState State);
    void __fastcall mnuReadClick(TObject *Sender);
    void __fastcall cbPICChange(TObject *Sender);
    void __fastcall ProgGridDrawCell(TObject *Sender, int Col, int Row,
          TRect &Rect, TGridDrawState State);
    void __fastcall mnuLoadClick(TObject *Sender);
    void __fastcall mnuSaveClick(TObject *Sender);
    void __fastcall btnCancelClick(TObject *Sender);
    void __fastcall btnCancelKeyPress(TObject *Sender, char &Key);
    void __fastcall mnuProgramClick(TObject *Sender);
    void __fastcall EraseClick(TObject *Sender);
    void __fastcall mnuCompareClick(TObject *Sender);
    void __fastcall edOffsetExit(TObject *Sender);
    void __fastcall edOffsetChange(TObject *Sender);
    void __fastcall LoadSettings(void);
    void __fastcall SaveSettings(void);
    void __fastcall imgFlip1Click(TObject *Sender);
    void __fastcall cbCheckTypeChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TfrmEprom(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmEprom *frmEprom;
//---------------------------------------------------------------------------
#endif
